libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
time.c File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Functions
uint64_t | get_filetime_uint64 ()
| Gets the current time as a 64-bit FILETIME value.

## Function Documentation

## ◆ get_filetime_uint64()

uint64_t get_filetime_uint64 | ( |  | ) |

Gets the current time as a 64-bit FILETIME value.

Returns the current system time as a 64-bit value compatible with Windows FILETIME (number of 100-nanosecond intervals since January 1, 1601 UTC).

Returns
  The current time as a 64-bit FILETIME value.

Definition at line 45 of file time.c.

Referenced by aaruf_create().